package app.furmeet.events.system.schedule.abstractDataTypes.dataholder

class FakeMap<K, V>(val data: V) : Map<K, V> {
    override val entries: Set<Map.Entry<K, V>>
        get() = setOf()
    override val keys: Set<K>
        get() = setOf()
    override val size: Int
        get() = 0
    override val values: Collection<V>
        get() = listOf(data)

    override fun containsKey(key: K): Boolean = true
    override fun containsValue(value: V): Boolean = value == data
    override fun get(key: K): V? = data
    override fun isEmpty(): Boolean = false
}